# Communities

## Check availability

Check the availability of a community cluster name

<mark style="color:green;">`GET`</mark> `/v1/names/community/:communityName/check/:name`

**Example**

```bash
curl https://api.clusters.xyz/v1/names/community/pengu/check/myname
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "name": "pengu/myname",
  "isAvailable": false
}
```

{% endtab %}
{% endtabs %}

***

## Register a community name

Check the availability of one or more clusters

<mark style="color:green;">`POST`</mark> `/v1/names/community/:communityName/register`

| Name                                     | Description                                                                                                                                               |
| ---------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| HEADER `Authorization: Bearer {AUTHKEY}` | Authentication key                                                                                                                                        |
| `name`                                   | The name you want to register                                                                                                                             |
| `walletAddress` *(optional)*             | If you are the admin of the community, you can register on behalf of someone. If this is left out the name will be registered to the authenticated wallet |

**Example**

```bash
curl --request POST \
  --url https://api.clusters.xyz/v1/names/community/pengu/register \
  --header 'Authorization: Bearer AUTHKEY'
  --header 'Content-Type: application/json' \
  --data '{ "name": "myname" }'
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "clusterName": "pengu/myname",
  "owner": "0x123"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clusters.xyz/getting-started/api/v1/registration/communities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
